> ## Documentation Index
> Fetch the complete documentation index at: https://assemblyai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List transcripts

> <Note>To retrieve your transcriptions on our EU server, replace `api.assemblyai.com` with `api.eu.assemblyai.com`.</Note>
Retrieve a list of transcripts you created.
Transcripts are sorted from newest to oldest and can be retrieved for the last 90 days of usage. The previous URL always points to a page with older transcripts.

If you need to retrieve transcripts from more than 90 days ago please reach out to our Support team at support@assemblyai.com.

**Pagination**

This endpoint returns paginated results. The response includes a `page_details` object with the following properties:
- `page_details.limit` - Maximum number of transcripts per page.
- `page_details.result_count` - Total number of transcripts returned on the current page.
- `page_details.current_url` - URL to the current page.
- `page_details.prev_url` - URL to the previous page of older transcripts.
- `page_details.next_url` - URL to the next page of newer transcripts.




## OpenAPI

````yaml openapi.yaml GET /v2/transcript
openapi: 3.1.0
info:
  title: AssemblyAI API
  description: AssemblyAI API
  version: 1.3.4
  termsOfService: https://www.assemblyai.com/legal/terms-of-service
  contact:
    name: API Support
    email: support@assemblyai.com
    url: https://www.assemblyai.com/docs/
servers:
  - url: https://api.assemblyai.com
    description: AssemblyAI API
    x-fern-server-name: Default
security:
  - ApiKey: []
tags:
  - name: transcript
    description: Transcript related operations
    externalDocs:
      url: https://www.assemblyai.com/docs/guides/transcribing-an-audio-file
  - name: streaming
    description: Streaming Speech-to-Text
    externalDocs:
      url: https://www.assemblyai.com/docs/streaming/universal-streaming
paths:
  /v2/transcript:
    get:
      tags:
        - transcript
      summary: List transcripts
      description: >
        <Note>To retrieve your transcriptions on our EU server, replace
        `api.assemblyai.com` with `api.eu.assemblyai.com`.</Note>

        Retrieve a list of transcripts you created.

        Transcripts are sorted from newest to oldest and can be retrieved for
        the last 90 days of usage. The previous URL always points to a page with
        older transcripts.


        If you need to retrieve transcripts from more than 90 days ago please
        reach out to our Support team at support@assemblyai.com.


        **Pagination**


        This endpoint returns paginated results. The response includes a
        `page_details` object with the following properties:

        - `page_details.limit` - Maximum number of transcripts per page.

        - `page_details.result_count` - Total number of transcripts returned on
        the current page.

        - `page_details.current_url` - URL to the current page.

        - `page_details.prev_url` - URL to the previous page of older
        transcripts.

        - `page_details.next_url` - URL to the next page of newer transcripts.
      operationId: listTranscripts
      parameters:
        - name: limit
          x-label: Limit
          in: query
          description: Maximum amount of transcripts to retrieve
          schema:
            type: integer
            minimum: 1
            maximum: 200
            default: 10
        - name: status
          x-label: Status
          in: query
          description: Filter by transcript status
          schema:
            $ref: '#/components/schemas/TranscriptStatus'
        - name: created_on
          x-label: Created on
          in: query
          description: Only get transcripts created on this date
          schema:
            type: string
            format: date
        - name: before_id
          x-label: Before ID
          in: query
          description: Get transcripts that were created before this transcript ID
          schema:
            type: string
            format: uuid
        - name: after_id
          x-label: After ID
          in: query
          description: Get transcripts that were created after this transcript ID
          schema:
            type: string
            format: uuid
        - name: throttled_only
          x-label: Throttled only
          in: query
          description: Only get throttled transcripts, overrides the status filter
          schema:
            type: boolean
            default: false
          deprecated: true
      responses:
        '200':
          description: >
            A list of transcripts. Transcripts are sorted from newest to oldest.
            The previous URL always points to a page with older transcripts.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TranscriptList'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
        '504':
          $ref: '#/components/responses/GatewayTimeout'
components:
  schemas:
    TranscriptStatus:
      x-label: Status
      type: string
      description: >-
        The status of your transcript. Possible values are queued, processing,
        completed, or error.
      x-fern-sdk-group-name: transcripts
      enum:
        - queued
        - processing
        - completed
        - error
      x-fern-enum:
        queued:
          description: The audio file is in the queue to be processed by the API.
        processing:
          description: The audio file is being processed by the API.
        completed:
          description: The transcript job has been completed successfully.
        error:
          description: An error occurred while processing the audio file.
      x-aai-enum:
        queued:
          label: Queued
        processing:
          label: Processing
        completed:
          label: Completed
        error:
          label: Error
    TranscriptList:
      x-label: Transcript list
      description: >-
        A list of transcripts. Transcripts are sorted from newest to oldest. The
        previous URL always points to a page with older transcripts.
      type: object
      x-fern-sdk-group-name: transcripts
      additionalProperties: false
      required:
        - page_details
        - transcripts
      properties:
        page_details:
          $ref: '#/components/schemas/PageDetails'
          x-label: Page details
          description: Details of the transcript page
        transcripts:
          x-label: Transcripts
          description: An array of transcripts
          type: array
          items:
            $ref: '#/components/schemas/TranscriptListItem'
            x-label: Transcript list item
      example:
        page_details:
          limit: 3
          result_count: 3
          current_url: https://api.assemblyai.com/v2/transcript?limit=3
          prev_url: >-
            https://api.assemblyai.com/v2/transcript?limit=3&before_id=28a73d01-98db-41dd-9e98-2533ba0af117
          next_url: >-
            https://api.assemblyai.com/v2/transcript?limit=3&after_id=b33f4691-85b7-4f31-be12-a87cef1c1229
        transcripts:
          - id: b33f4691-85b7-4f31-be12-a87cef1c1229
            resource_url: >-
              https://api.assemblyai.com/v2/transcript/b33f4691-85b7-4f31-be12-a87cef1c1229
            status: completed
            created: '2024-03-11T21:29:59.936851'
            completed: '2024-03-11T21:30:07.314223'
            audio_url: http://deleted_by_user
            error: null
          - id: ce522f10-d204-42e8-a838-6b95098145cc
            resource_url: >-
              https://api.assemblyai.com/v2/transcript/ce522f10-d204-42e8-a838-6b95098145cc
            status: error
            created: '2024-03-11T21:23:59.979420'
            completed: null
            audio_url: https://storage.googleapis.com/client-docs-samples/nbc.oopsie
            error: >-
              Download error, unable to download
              https://storage.googleapis.com/client-docs-samples/nbc.oopsie.
              Please make sure the file exists and is accessible from the
              internet.
          - id: 28a73d01-98db-41dd-9e98-2533ba0af117
            resource_url: >-
              https://api.assemblyai.com/v2/transcript/28a73d01-98db-41dd-9e98-2533ba0af117
            status: completed
            created: '2024-03-11T21:12:57.372215'
            completed: '2024-03-11T21:13:03.267020'
            audio_url: https://assembly.ai/nbc.mp3
            error: null
    PageDetails:
      x-label: Page details
      description: >-
        Details of the transcript page. Transcripts are sorted from newest to
        oldest. The previous URL always points to a page with older transcripts.
      type: object
      x-fern-sdk-group-name: transcripts
      additionalProperties: false
      required:
        - limit
        - result_count
        - current_url
        - prev_url
        - next_url
      properties:
        limit:
          x-label: Limit
          description: The number of results this page is limited to
          type: integer
        result_count:
          x-label: Result count
          description: The actual number of results in the page
          type: integer
        current_url:
          x-label: Current URL
          description: The URL used to retrieve the current page of transcripts
          type: string
          format: url
        prev_url:
          x-label: Previous URL
          description: >-
            The URL to the next page of transcripts. The previous URL always
            points to a page with older transcripts.
          type:
            - string
            - 'null'
          format: url
        next_url:
          x-label: Next URL
          description: >-
            The URL to the next page of transcripts. The next URL always points
            to a page with newer transcripts.
          type:
            - string
            - 'null'
          format: url
      example:
        limit: 10
        result_count: 10
        current_url: https://api.assemblyai.com/v2/transcript?limit=10
        prev_url: >-
          https://api.assemblyai.com/v2/transcript?limit=10&before_id=62npeahu2b-a8ea-4112-854c-69542c20d90c
        next_url: >-
          https://api.assemblyai.com/v2/transcript?limit=10&after_id=62nfw3mlar-01ad-4631-92f6-629929496eed
    TranscriptListItem:
      x-label: Transcript list item
      type: object
      x-fern-sdk-group-name: transcripts
      additionalProperties: false
      required:
        - id
        - resource_url
        - status
        - created
        - completed
        - audio_url
        - error
      properties:
        id:
          x-label: ID
          description: The unique identifier for the transcript
          type: string
          format: uuid
        resource_url:
          x-label: Resource URL
          description: The URL to retrieve the transcript
          type: string
          format: url
        status:
          $ref: '#/components/schemas/TranscriptStatus'
          x-label: Status
          description: The status of the transcript
        created:
          x-label: Created
          description: The date and time the transcript was created
          type: string
          pattern: ^(?:(\d{4}-\d{2}-\d{2})T(\d{2}:\d{2}:\d{2}(?:\.\d+)?))$
          x-fern-type: datetime
          x-ts-type: Date
        completed:
          x-label: Completed
          description: The date and time the transcript was completed
          type:
            - string
            - 'null'
          pattern: ^(?:(\d{4}-\d{2}-\d{2})T(\d{2}:\d{2}:\d{2}(?:\.\d+)?))$
          x-fern-type: optional<datetime>
          x-ts-type: Date | null
        audio_url:
          x-label: Audio URL
          description: The URL to the audio file
          type: string
          format: url
        error:
          x-label: Error
          description: Error message of why the transcript failed
          type:
            - string
            - 'null'
      example:
        id: 9ea68fd3-f953-42c1-9742-976c447fb463
        resource_url: >-
          https://api.assemblyai.com/v2/transcript/9ea68fd3-f953-42c1-9742-976c447fb463
        status: completed
        created: '2023-11-02T21:49:25.586965'
        completed: '2023-11-02T21:49:25.586965'
        audio_url: https://assembly.ai/wildfires.mp3
        error: null
    Error:
      x-label: Error
      type: object
      additionalProperties: true
      required:
        - error
      properties:
        error:
          x-label: Error message
          description: Error message
          type: string
        status:
          x-label: Status
          type: string
          const: error
      example:
        error: Transcript creation error, audio_url not found
  responses:
    BadRequest:
      x-label: Bad request
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: This is a sample error message
    Unauthorized:
      x-label: Unauthorized
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Authentication error, API token missing/invalid
    NotFound:
      x-label: Not found
      description: Not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Not found
    TooManyRequests:
      x-label: Too many requests
      description: Too many requests
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Too Many Requests
      headers:
        Retry-After:
          description: The number of seconds to wait before retrying the request
          schema:
            type: integer
    InternalServerError:
      x-label: Internal server error
      description: An error occurred while processing the request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: >-
              Internal server error. Please retry your request. If the error
              persists, please contact support@assemblyai.com for more
              information.
    ServiceUnavailable:
      x-label: Service unavailable
      description: Service unavailable
    GatewayTimeout:
      x-label: Gateway timeout
      description: Gateway timeout
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: Authorization

````